package com.ruoyi.project.sems.his.domain;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特种设备变更申请对象 t_approve_spec_modify
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public class TApproveSpecModify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long userId;

    /** 设备ids */
    @Excel(name = "设备ids")
    private String devId;

    /** 设备类型： */
    @Excel(name = "设备类型：")
    private Long devType;

    /** 审批类型 */
    @Excel(name = "审批类型")
    private Long approveType;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 附件url */
    @Excel(name = "附件url")
    private String fileUrls;

    /** 申请状态 0:审批中 1-通过 2-拒绝 */
    @Excel(name = "申请状态 0:审批中 1-通过 2-拒绝")
    private Long status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 流程id */
    @Excel(name = "流程id")
    private String processId;

    /** 申请编号（唯一） */
    @Excel(name = "申请编号", readConverterExp = "唯=一")
    private String apNo;

    /** 报告ids */
    @Excel(name = "报告ids")
    private String reportId;

    /** 月报告ids */
    @Excel(name = "月报告ids")
    private String monthId;

    /** 删除标识 */
    private Long delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    private Long hisId;
    private Long wxjl;

    @TableField(exist = false)
    private List<Object> devList;

    public List<Object> getDevList() {
        return devList;
    }

    public void setDevList(List<Object> devList) {
        this.devList = devList;
    }

    public Long getHisId() {
        return hisId;
    }

    public void setHisId(Long hisId) {
        this.hisId = hisId;
    }

    public Long getWxjl() {
        return wxjl;
    }

    public void setWxjl(Long wxjl) {
        this.wxjl = wxjl;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDevId(String devId)
    {
        this.devId = devId;
    }

    public String getDevId()
    {
        return devId;
    }
    public void setDevType(Long devType)
    {
        this.devType = devType;
    }

    public Long getDevType()
    {
        return devType;
    }
    public void setApproveType(Long approveType)
    {
        this.approveType = approveType;
    }

    public Long getApproveType()
    {
        return approveType;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setFileUrls(String fileUrls)
    {
        this.fileUrls = fileUrls;
    }

    public String getFileUrls()
    {
        return fileUrls;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreattime(Date creattime)
    {
        this.creattime = creattime;
    }

    public Date getCreattime()
    {
        return creattime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setProcessId(String processId)
    {
        this.processId = processId;
    }

    public String getProcessId()
    {
        return processId;
    }
    public void setApNo(String apNo)
    {
        this.apNo = apNo;
    }

    public String getApNo()
    {
        return apNo;
    }
    public void setReportId(String reportId)
    {
        this.reportId = reportId;
    }

    public String getReportId()
    {
        return reportId;
    }
    public void setMonthId(String monthId)
    {
        this.monthId = monthId;
    }

    public String getMonthId()
    {
        return monthId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("devId", getDevId())
            .append("devType", getDevType())
            .append("approveType", getApproveType())
            .append("content", getContent())
            .append("fileUrls", getFileUrls())
            .append("status", getStatus())
            .append("creattime", getCreattime())
            .append("endtime", getEndtime())
            .append("processId", getProcessId())
            .append("apNo", getApNo())
            .append("reportId", getReportId())
            .append("monthId", getMonthId())
            .append("delFlag", getDelFlag())
            .append("deptId", getDeptId())
            .toString();
    }
}
